Summary:	Data for fortune-mod from the peq program.
Name:		fortune-mod-peq
Version:	1.0
Release:	1
Copyright:	GPL
Group:		Amusements/Games
URL:		http://rope.cjb.net/
Vendor:		Alex 'Dabugas' Armstrong <dabugas@usa.net>
Source:		http://users.hol.gr/~gary/peq.lib.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	/usr/games/fortune
BuildArch:	noarch

%description
These are some of the datafiles that come with a fortune-like program called
peq.  If you find that you like them, you might want to look at peq.
 
%prep
%setup -q -c -T -n %{name}-%{version}
cp %{_sourcedir}/peq.lib.gz .

%build
# I had to do a lot of dancing around in the translations, because I
# couldn't get sed to hadle newlines reliably and tr won't insert characters.
gzip -d peq.lib.gz
PEQ_L=$[`wc -l peq.lib | cut -d p -f 1` - 1]
cat peq.lib \
	| tail -n $PEQ_L \
	| tr -d "%" \
	| tr "\n" "%" \
	| sed -e 's,%,~&~,g' \
	| tr "~" "\n" \
	| sed -e 's, -,~-,g' -e 's,~--, --,g' -e 's,\\n,~,g' \
	| tr "~" "\n" \
	| tr a-m,n-z,A-M,N-Z n-z,a-m,N-Z,A-M \
	| fmt -s \
	> peq
strfile -x peq

%install
rm -rf %{buildroot}
install -D -m 644 peq %{buildroot}/%{prefix}/share/games/fortunes/off/
install -D -m 644 peq.dat %{buildroot}/%{prefix}/share/games/fortunes/off/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{prefix}/share/*/*/*/*

%changelog
* Wed Dec 29 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
- building requires tr and fmt from package textutils
- building requires sed
